Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface IRuntimeNode

All Known Subinterfaces:
  Component, ComponentNode, IAtp, IBasicPrice, IBomItem, ICount, IDecimal, IInteger, IIntegerMinMax, IOption, IOptionFeature, IPrice, IReadOnlyDecimal, IState, IText

All Known Implementing Classes:
  BomInstance, BomNode, ComponentSet, CountFeature, DecimalNode, IntegerFeature, IntegerNode, OptionFeatureNode, OptionNode, PricedNode, ReadOnlyDecimalNode, RuntimeNode, StateCountNode, StateNode, TextNode

public interface IRuntimeNode

Implemented by all objects in the runtime configuration tree. This interface implements behavior common to all nodes in the runtime configuration tree, including components, features, options, totals, etc.

Field Summary
`static int` | `ALL_FEATURES` A pseudo-type that represents all feature types for use in getChildrenByType.
`static int` | `BOM_MODEL` BOM model type.
`static int` | `BOM_OPTION_CLASS` BOM option class type.
`static int` | `BOM_STD_ITEM` BOM standard item type.
`static int` | `BOOLEAN_FEATURE` Boolean feature type.
`static int` | `COMPONENT` Component type.
`static int` | `COMPONENT_SET` Component set type.
`static int` | `CONNECTOR` Connectore type
`static int` | `COUNT_FEATURE` Count feature type.
`static int` | `CURRENT_CHILD`
`static int` | `CURRENT_OR_DISCONTINUED_CHILD`
`static int` | `DECIMAL_FEATURE` Decimal feature type.
`static int` | `DISCONTINUED_CHILD`
`static int` | `EDITABLE`
`static int` | `EXTENDED_PASSIVE`
`static int` | `IMMEDIATE_PASSIVE`
`static int` | `INTEGER_FEATURE` Integer feature type.
`static int` | `OPTION` Option type.
`static int` | `OPTION_FEATURE` Option feature type.
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`
`static int` | `RESOURCE` Resource type.
`static int` | `SPOOFED`
`static int` | `TEXT_FEATURE` Text feature type.
`static int` | `TOTAL` Total type.

Method Summary
`java.lang.Object` | `evaluateUiExpression(int exprID, byte exprType, int uiDefID, boolean isIdPersistent)`
`com.sun.java.util.collections.Set` | `getAvailableEventCommands()` Returns a list of commands that can be used in CXCommandEvent objects on this node to cause one or more Configurator Extensions to execute
`java.lang.String` | `getCaption()` Get the Caption of this node to be displayed in messages.
`oracle.apps.cz.cio.IRuntimeNode` | `getChildByID(int id)` Gets a particular child identified by its ID.
`oracle.apps.cz.cio.IRuntimeNode` | `getChildByName(java.lang.String name)` Gets a particular child identified by its name.
`oracle.apps.cz.cio.IRuntimeNode` | `getChildByPersistentID(int id)` Gets a particular child identified by its persistent ID.
`com.sun.java.util.collections.List` | `getChildren()` Gets the children of this runtime configuration node.
`com.sun.java.util.collections.List` | `getChildrenByType(int type)` Gets all of the children of a particular type.
`long` | `getConfigItemID()` Returns the item id assoaciated with this runtime node if there is one; else -1
`oracle.apps.cz.cio.Configuration` | `getConfiguration()` Gets the configuration to which this node belongs.
`java.lang.String` | `getCurrentValue()` Gets the current value of this node
`int` | `getDatabaseID()` Gets the database ID of the node.
`java.lang.String` | `getDeltaValue()` Gets the difference between the current value and the installed value of this node
`java.lang.String` | `getDescription()` Returns the design-time description of the runtime node.
`com.sun.java.util.collections.List` | `getDiscontinuedChildren()` Gets the set of discontinued children of this runtime configuration node.
`java.lang.String` | `getDisplayName()` Returns the display name for this node as specified in the UI
`java.lang.String` | `getDisplayNamePath()` Returns the displayName path to the root of this node.
`java.lang.String` | `getInstalledValue()` Gets the installed value of this node
`java.lang.Integer` | `getLineType()` Returns the line type for this node Returns null if not found
`java.lang.String` | `getLineTypeName()` Returns the Line Type name for this node Returns null if not found
`int` | `getLoadStatus()`
`java.lang.Integer` | `getLocationID()` Returns the location id of this node Returns null if not found
`java.lang.String` | `getLocationTypeCode()` Returns the location type code of this node Returns null if not found
`java.lang.String` | `getName()` Gets the name of the node.
`oracle.apps.cz.cio.IRuntimeNode` | `getParent()` Get the parent of this node.
`int` | `getPersistentID()` Gets the persistent ID of the node.
`com.sun.java.util.collections.Collection` | `getProperties()` Returns a collection of the properties associated with this node.
`oracle.apps.cz.cio.Property` | `getPropertyByName(java.lang.String name)` Returns a particular property of this node, based on its name.
`oracle.apps.cz.cio.Component` | `getRootInstance()` Returns the Root trackable instance for this node if in a container model and one exists; otherwise, returns the root component
`int` | `getRuntimeID()` Gets the runtime ID of the node.
`int` | `getSelectionLineID()` Returns selection line ID (configuration output database ID) for node.
`com.sun.java.util.collections.Collection` | `getSummaryChildren()` Gets the set of children, discontinued or otherwise, of this runtime configuration node.
`java.lang.String` | `getSummaryValue()`
`int` | `getType()` Gets the type of this node.
`boolean` | `hasChildren()` Verifies if this runtime configuration node has children.
`boolean` | `hasConfigItemID()` Returns true if this node has an item id, i.e., it has been saved previously with this configuration
`boolean` | `hasCount()` Returns true if the node has an object count.
`boolean` | `hasDecimalValue()` Returns true if the node has a decimal value.
`boolean` | `hasDescription()` Returns true if there is a design-time description of the runtime node.
`boolean` | `hasIntegerValue()` Returns true if the node has a integer value.
`boolean` | `hasSelectionLineID()` Returns true if node has a selection line ID (configuration output ID), false if not.
`boolean` | `hasState()` Returns true if the node has a logical state.
`boolean` | `hasTextValue()` Returns true if the node has a text value.
`boolean` | `hasTrackableAncestor()`
`boolean` | `isAddChanged()` Returns true if this node has been added in this session, i.e., it is not present in the latest installed revision in Installed Base
`boolean` | `isAttributeChanged()` Returns true if any of this node's attribute has changed from that of the latest installed revision in Installed Base
`boolean` | `isChanged()` Deprecated.
`boolean` | `isChildChanged()` Returns true if any child of this node has changed from that of the latest installed revision in Installed Base
`boolean` | `isDeleteChanged()` Returns true if this node has been deleted in this session and was present in the latest installed revision in Installed Base
`boolean` | `isDeleted()`
`boolean` | `isDescendantOf(oracle.apps.cz.cio.IRuntimeNode ancestorNode)` Returns true if this is a descendant of the ancestorNode node.
`boolean` | `isDiscontinued()` Checks if this node is discontinued.
`boolean` | `isEditable()`
`boolean` | `isEffective()` Returns `true` if this particular node is effective given the effectivity criteria of the model.
`boolean` | `isIBNodeChanged()` Returns true if this node (the decendents are not considered) has changed from the latest installed revision in Installed Base
`boolean` | `isIBNodeOrDescendantChanged()` Returns true if this node, and/or any of its decendents, have changed from the latest installed revision in Installed Base
`boolean` | `isIBTrackable()`
`boolean` | `isLoaded()`
`boolean` | `isLocationChanged()` Returns true if this node's location has changed from that of the latest installed revision in Installed Base
`boolean` | `isNameChanged()` Returns true if this instance's name has changed from that of the latest installed revision in Installed Base
`boolean` | `isNative()` Returns true if this is a native BOM node
`boolean` | `isNodeChanged()` Deprecated.
`boolean` | `isQuoteable()` Returns true if this node is Quoteable
`boolean` | `isRoot()` Returns true if this is the root node of the runtime tree.
`boolean` | `isRootInstance()` Returns true if a some call to getRootInstance in this configuration could return this node
`boolean` | `isSatisfied()` Returns `true` if this particular node, or any one of its children, has been completely configured.
`boolean` | `isTargetChanged()` Returns true if this connector's target has changed from that of the latest installed revision in Installed Base
`boolean` | `isTrackableRoot()`
`boolean` | `isUiVisible()` Returns true if this node appears as a selection in Ui.
`boolean` | `isUnsatisfied()` Returns `true` if this particular node, or any one of its children, has not been completely configured.
`boolean` | `isUnsatisfiedNode()` Returns `true` if this particular node has not been completely configured.
`boolean` | `isValid()` Returns true if this runtime node is valid
`boolean` | `isValueChanged()` Returns true if this node's value has changed from that of the latest installed installed revision in Installed Base
`void` | `setLineType(java.lang.Integer lineType)` Sets the line type for this node
`void` | `setLocationID(java.lang.Integer locationID)` Sets the location id of this node
`void` | `setLocationTypeCode(java.lang.String locationTypeCode)` Sets the location type code of this node

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

### COMPONENT

    public static final int COMPONENT

  Component type.

### COMPONENT_SET

    public static final int COMPONENT_SET

  Component set type.

### BOOLEAN_FEATURE

    public static final int BOOLEAN_FEATURE

  Boolean feature type.

### COUNT_FEATURE

    public static final int COUNT_FEATURE

  Count feature type.

### INTEGER_FEATURE

    public static final int INTEGER_FEATURE

  Integer feature type.

### DECIMAL_FEATURE

    public static final int DECIMAL_FEATURE

  Decimal feature type.

### TEXT_FEATURE

    public static final int TEXT_FEATURE

  Text feature type.

### OPTION_FEATURE

    public static final int OPTION_FEATURE

  Option feature type.

### OPTION

    public static final int OPTION

  Option type.

### TOTAL

    public static final int TOTAL

  Total type.

### RESOURCE

    public static final int RESOURCE

  Resource type.

### BOM_MODEL

    public static final int BOM_MODEL

  BOM model type.

### BOM_OPTION_CLASS

    public static final int BOM_OPTION_CLASS

  BOM option class type.

### BOM_STD_ITEM

    public static final int BOM_STD_ITEM

  BOM standard item type.

### CONNECTOR

    public static final int CONNECTOR

  Connectore type

### ALL_FEATURES

    public static final int ALL_FEATURES

  A pseudo-type that represents all feature types for use in getChildrenByType.

### SPOOFED

    public static final int SPOOFED

### EXTENDED_PASSIVE

    public static final int EXTENDED_PASSIVE

### IMMEDIATE_PASSIVE

    public static final int IMMEDIATE_PASSIVE

### EDITABLE

    public static final int EDITABLE

### CURRENT_OR_DISCONTINUED_CHILD

    public static final int CURRENT_OR_DISCONTINUED_CHILD

### CURRENT_CHILD

    public static final int CURRENT_CHILD

### DISCONTINUED_CHILD

    public static final int DISCONTINUED_CHILD

Method Detail

### getType

    public int getType()

  Gets the type of this node.
  Returns:
    the type of this node.

### getName

    public java.lang.String getName()

  Gets the name of the node.
  Returns:
    the name of the node.

### getCaption

    public java.lang.String getCaption()

  Get the Caption of this node to be displayed in messages. Returns Description if one exisits; else the Name of this node.

### hasDescription

    public boolean hasDescription()

  Returns true if there is a design-time description of the runtime node.

### getDescription

    public java.lang.String getDescription()

  Returns the design-time description of the runtime node.

### getDatabaseID

    public int getDatabaseID()

  Gets the database ID of the node.
  Returns:
    the database ID of the node.

### getPersistentID

    public int getPersistentID()

  Gets the persistent ID of the node.
  Returns:
    the database ID of the node.

### getRuntimeID

    public int getRuntimeID()

  Gets the runtime ID of the node. This ID is unique across all other nodes created by a particular CIO.
  Returns:
    runtime ID of the node.

### hasSelectionLineID

    public boolean hasSelectionLineID()

  Returns true if node has a selection line ID (configuration output ID), false if not.

### getSelectionLineID

    public int getSelectionLineID()

  Returns selection line ID (configuration output database ID) for node. The hasSelectionLineID() method should always be called before this method. A RuntimeException will be thrown if ID doesn't exist.
  Returns:
    line ID

### getConfiguration

    public oracle.apps.cz.cio.Configuration getConfiguration()

  Gets the configuration to which this node belongs.
  Returns:
    the configuration to which this node belongs.
  See Also:
    `Configuration`

### isEffective

    public boolean isEffective()

  Returns `true` if this particular node is effective given the effectivity criteria of the model.
  Returns:
    a boolean indicating whether the node is effective.

### isUnsatisfied

    public boolean isUnsatisfied()

  Returns `true` if this particular node, or any one of its children, has not been completely configured. The value is cached and is only updated on transaction commit or rollback.
  Returns:
    a boolean indicating whether the node is unsatisfied.

### isSatisfied

    public boolean isSatisfied()

  Returns `true` if this particular node, or any one of its children, has been completely configured. The value is cached and is only updated on transaction commit or rollback.
  Returns:
    a boolean indicating whether the node is unsatisfied.

### isUnsatisfiedNode

    public boolean isUnsatisfiedNode()

  Returns `true` if this particular node has not been completely configured. The value is cached and is only updated on transaction commit or rollback.
  Returns:
    a boolean indicating whether the node is unsatisfied.

### getParent

    public oracle.apps.cz.cio.IRuntimeNode getParent()

  Get the parent of this node.
  Returns:
    the node's parent.

### hasChildren

    public boolean hasChildren()

  Verifies if this runtime configuration node has children.
  Returns:
    true if the node has children.

### getChildren

    public com.sun.java.util.collections.List getChildren()

  Gets the children of this runtime configuration node.
  Returns:
    a list of children. Empty list if no children.

### getChildrenByType

    public com.sun.java.util.collections.List getChildrenByType(int type)

  Gets all of the children of a particular type.
  Returns:
    a collection of children.

### getChildByName

    public oracle.apps.cz.cio.IRuntimeNode getChildByName(java.lang.String name)
                                                   throws NoSuchChildException

  Gets a particular child identified by its name.
  Returns:
    a child of this node.
    `NoSuchChildException`

### getChildByID

    public oracle.apps.cz.cio.IRuntimeNode getChildByID(int id)
                                                 throws NoSuchChildException

  Gets a particular child identified by its ID.
  Returns:
    a child of this node.
    `NoSuchChildException`

### getChildByPersistentID

    public oracle.apps.cz.cio.IRuntimeNode getChildByPersistentID(int id)
                                                           throws NoSuchChildException

  Gets a particular child identified by its persistent ID.
  Returns:
    a child of this node.
    `NoSuchChildException`

### hasState

    public boolean hasState()

  Returns true if the node has a logical state.

### hasCount

    public boolean hasCount()

  Returns true if the node has an object count.

### hasIntegerValue

    public boolean hasIntegerValue()

  Returns true if the node has a integer value.

### hasDecimalValue

    public boolean hasDecimalValue()

  Returns true if the node has a decimal value.

### hasTextValue

    public boolean hasTextValue()

  Returns true if the node has a text value.

### getProperties

    public com.sun.java.util.collections.Collection getProperties()

  Returns a collection of the properties associated with this node. The collection contains items of the type Property.

### getPropertyByName

    public oracle.apps.cz.cio.Property getPropertyByName(java.lang.String name)

  Returns a particular property of this node, based on its name. Returns null if a property of the given name does not exist.

### isNative

    public boolean isNative()

  Returns true if this is a native BOM node

### isRoot

    public boolean isRoot()

  Returns true if this is the root node of the runtime tree.

### isDescendantOf

    public boolean isDescendantOf(oracle.apps.cz.cio.IRuntimeNode ancestorNode)

  Returns true if this is a descendant of the ancestorNode node.

### isUiVisible

    public boolean isUiVisible()

  Returns true if this node appears as a selection in Ui. Note that a node with "isUiVisible" false will still be included in a "show all nodes" Ui.

### hasConfigItemID

    public boolean hasConfigItemID()

  Returns true if this node has an item id, i.e., it has been saved previously with this configuration

### getConfigItemID

    public long getConfigItemID()

  Returns the item id assoaciated with this runtime node if there is one; else -1

### isDeleted

    public boolean isDeleted()

### getLoadStatus

    public int getLoadStatus()

### isEditable

    public boolean isEditable()

### isLoaded

    public boolean isLoaded()

### isTrackableRoot

    public boolean isTrackableRoot()

### hasTrackableAncestor

    public boolean hasTrackableAncestor()

### isIBTrackable

    public boolean isIBTrackable()

### getLineType

    public java.lang.Integer getLineType()

  Returns the line type for this node Returns null if not found

### setLineType

    public void setLineType(java.lang.Integer lineType)

  Sets the line type for this node

### getLineTypeName

    public java.lang.String getLineTypeName()

  Returns the Line Type name for this node Returns null if not found

### getLocationID

    public java.lang.Integer getLocationID()

  Returns the location id of this node Returns null if not found

### setLocationID

    public void setLocationID(java.lang.Integer locationID)

  Sets the location id of this node

### getLocationTypeCode

    public java.lang.String getLocationTypeCode()

  Returns the location type code of this node Returns null if not found

### setLocationTypeCode

    public void setLocationTypeCode(java.lang.String locationTypeCode)

  Sets the location type code of this node

### isIBNodeOrDescendantChanged

    public boolean isIBNodeOrDescendantChanged()

  Returns true if this node, and/or any of its decendents, have changed from the latest installed revision in Installed Base

### isIBNodeChanged

    public boolean isIBNodeChanged()

  Returns true if this node (the decendents are not considered) has changed from the latest installed revision in Installed Base

### isChanged

    public boolean isChanged()

  Deprecated.
  Returns true if this node, and/or any of its decendents, have changed from the latest installed revision in Installed Base
  See Also:
    `isIBNodeOrDescendantChanged()`

### isNodeChanged

    public boolean isNodeChanged()

  Deprecated.
  Returns true if this node (the decendents are not considered) has changed from the latest installed revision in Installed Base
  See Also:
    `isIBNodeChanged()`

### isAddChanged

    public boolean isAddChanged()

  Returns true if this node has been added in this session, i.e., it is not present in the latest installed revision in Installed Base

### isDeleteChanged

    public boolean isDeleteChanged()

  Returns true if this node has been deleted in this session and was present in the latest installed revision in Installed Base

### isValueChanged

    public boolean isValueChanged()

  Returns true if this node's value has changed from that of the latest installed installed revision in Installed Base

### isTargetChanged

    public boolean isTargetChanged()

  Returns true if this connector's target has changed from that of the latest installed revision in Installed Base

### isAttributeChanged

    public boolean isAttributeChanged()

  Returns true if any of this node's attribute has changed from that of the latest installed revision in Installed Base

### isLocationChanged

    public boolean isLocationChanged()

  Returns true if this node's location has changed from that of the latest installed revision in Installed Base

### isNameChanged

    public boolean isNameChanged()

  Returns true if this instance's name has changed from that of the latest installed revision in Installed Base

### isChildChanged

    public boolean isChildChanged()

  Returns true if any child of this node has changed from that of the latest installed revision in Installed Base

### getRootInstance

    public oracle.apps.cz.cio.Component getRootInstance()

  Returns the Root trackable instance for this node if in a container model and one exists; otherwise, returns the root component

### isRootInstance

    public boolean isRootInstance()

  Returns true if a some call to getRootInstance in this configuration could return this node

### getSummaryChildren

    public com.sun.java.util.collections.Collection getSummaryChildren()

  Gets the set of children, discontinued or otherwise, of this runtime configuration node. This is the set of children and discontinued children
  Returns:
    a Collection of children. Empty collection if no children.

### getDiscontinuedChildren

    public com.sun.java.util.collections.List getDiscontinuedChildren()

  Gets the set of discontinued children of this runtime configuration node.
  Returns:
    a list of children. Empty list if no children.

### isDiscontinued

    public boolean isDiscontinued()

  Checks if this node is discontinued. A node can be discontinued if it was previously installed and either deleted or deselected in this session
  Returns:
    true if this node is discontinued. False otherwise.

### getInstalledValue

    public java.lang.String getInstalledValue()

  Gets the installed value of this node
  Returns:
    installed value as a String

### getCurrentValue

    public java.lang.String getCurrentValue()

  Gets the current value of this node
  Returns:
    current value as a String

### getDeltaValue

    public java.lang.String getDeltaValue()

  Gets the difference between the current value and the installed value of this node
  Returns:
    (current value - installed value) as a String

### getSummaryValue

    public java.lang.String getSummaryValue()

### isQuoteable

    public boolean isQuoteable()

  Returns true if this node is Quoteable

### getAvailableEventCommands

    public com.sun.java.util.collections.Set getAvailableEventCommands()

  Returns a list of commands that can be used in CXCommandEvent objects on this node to cause one or more Configurator Extensions to execute

### evaluateUiExpression

    public java.lang.Object evaluateUiExpression(int exprID,
                                                 byte exprType,
                                                 int uiDefID,
                                                 boolean isIdPersistent)

### getDisplayName

    public java.lang.String getDisplayName()

  Returns the display name for this node as specified in the UI

### getDisplayNamePath

    public java.lang.String getDisplayNamePath()

  Returns the displayName path to the root of this node.

### isValid

    public boolean isValid()

  Returns true if this runtime node is valid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.